package jp.sourceforge.shovel.entity.impl;

import jp.sourceforge.shovel.entity.IPictureJson;
import jp.sourceforge.shovel.entity.ISize;

public class PictureJsonImpl implements IPictureJson {
    ISize big_;
    String foreignKey_;
    ISize huge_;
    ISize middle_;
    ISize small_;
    String url_;
    
    public ISize getBig() {
        return big_;
    }
    
    public String getForeignKey() {
        return foreignKey_;
    }
    
    public ISize getHuge() {
        return huge_;
    }
    
    public ISize getMiddle() {
        return middle_;
    }
    
    public ISize getSmall() {
        return small_;
    }
    public String getUrl() {
        return url_;
    }
    public void setBig(ISize big) {
        big_ = big;
    }
    public void setForeignKey(String foreignKey) {
        foreignKey_ = foreignKey;
    }
    public void setHuge(ISize huge) {
        huge_ = huge;
    }
    public void setMiddle(ISize middle) {
        middle_ = middle;
    }
    public void setSmall(ISize small) {
        small_ = small;
    }
    public void setUrl(String url) {
        url_ = url;
    }
}
